Subject: Re: bug#14513: 24.3.50; Site load-path pieces differ in MSYS build

From: Richard Copley <[email-masked]>
Date: Tue, 4 Jun 2013 21:14:10 +0100

On 4 June 2013 20:37, Eli Zaretskii <[email-masked]> wrote:

> > Date: Tue, 4 Jun 2013 19:27:50 +0100
> > From: Richard Copley <[email-masked]>
> >
> > One last time I'll advocate the change I was thinking of initially:
> re-add
> > the "ROOT/../site-lisp" entry to PATH_SITELOADSEARCH in epaths.nt, as in
> > the attached patch.
>
> I hear you, but please understand: it's not just addition of a
> directory to the variable.  These directories are tested for existence
> at startup, and Emacs displays a warning of any of them doesn't exist.
> So, if the Windows build had a directory that other builds don't, we
> would need Windows-specific code to ignore this specific directory if
> it doesn't exist, or make sure it is created -- only on Windows -- at
> "make install" time.  And since this list of directories is
> constructed in a very convoluted way, paying attention to
> EMACSLOADPATH in the environment and to whether Emacs is run
> uninstalled, it is not easy to identify that single directory and
> ignore it.
>
> All this flies in the face of the main reason why I made the MSYS
> build happen: remove as much Windows specific issues, code, and
> configury, so that other developers and maintainers could understand
> how the Windows port is built, and could make changes without fear
> they break the Windows port too easily.  If we don't stick to this
> attitude, the Windows port is in real danger of falling by the wayside
> at the slightest change of fortunes.
>

Okay, I can swallow that, thanks for the explanation.

Would it be doable and generally useful to take account of an
EMACSSITELOADPATH environment variable, on all platforms?